import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import { resolve } from 'path'

// https://vitejs.dev/config/
export default defineConfig({
  // The following line prevents a crash since Vite expects to read env variables (NodeJS).
  define: {
    'process.env': {}
  },
  plugins: [vue()],
  // The following config allow us to build a bundled JS to hook into our component.
  build: {
    minify: false, // Easier to debug
    target: 'es2015', // More browser compatibility
    lib: {
      entry: resolve(__dirname, 'src/main.js'),
      name: 'acme-dog-breeds-external-api',
      fileName: (format => `acme-dog-breeds-external-api.${format}.js`), // Builds generated by Vite.
    },
  }
})
